Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftMetadata

    java.lang.Object
      com.stc.swift.builder.SwiftOTDBuilderObjAdapter
          com.stc.swift.builder.SwiftMetadata

All Implemented Interfaces:
  SwiftOTDBuilderObject

    public class SwiftMetadata

extends SwiftOTDBuilderObjAdapter

This class is the default implementation of SwiftOtdGenerator

Version:
  $Revision: 1.5 $

Constructor Summary
`SwiftMetadata()` default constructor for HRF parser
`SwiftMetadata(java.io.File swiftDescFile)` Constructor

Method Summary
`void` | `buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta, java.util.Hashtable hash)` Otd builder for Swift.
`void` | `buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta, java.util.Hashtable hash, boolean noData)` Otd builder for Swift.
`void` | `buildOtdAppHeader(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdTree otdTree, java.lang.String msgType, java.util.Hashtable hash)` Otd builder for Swift.
`void` | `buildOtdBasicHeader(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdTree otdTree, java.util.Hashtable hash)` Otd builder for Swift.
`void` | `buildOtdTrailers(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdTree otdTree, java.util.Hashtable hash)` Otd builder for Swift.
`void` | `buildOtdUserHeader(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdTree otdTree, java.util.Hashtable hash)` Otd builder for Swift.
`void` | `diff(SwiftOTDBuilderObject obj, java.io.PrintWriter writer, boolean coreAttrOnly)`
`SwiftMessage` | `getMessage()`
`java.lang.String` | `getMsgType()`
`SwiftOTDBuilderObject` | `getParent()`
`boolean` | `parse()` Parser for the Swift Description file.
`void` | `print(java.io.PrintWriter writer)`
`void` | `setMessage(SwiftMessage msg)`
`void` | `setMsgType(java.lang.String msgType)`
`void` | `setPackagePrepend(java.lang.String packagePrepend)`
`void` | `setParent(SwiftOTDBuilderObject parent)`

Methods inherited from class com.stc.swift.builder.SwiftOTDBuilderObjAdapter
`calculateRepetitiveInfo, genMap, getHRFEntry, getID, getMTType, mapName, print, setHRFEntry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftMetadata

    public SwiftMetadata()

  default constructor for HRF parser

### SwiftMetadata

    public SwiftMetadata(java.io.File swiftDescFile)
                  throws java.io.FileNotFoundException,
                         java.io.IOException,
                         SwiftParsingException

  Constructor

  Parameters:
    `:` - A File object of the Swift Description File.
  Throws:
    `FileNotFoundException:` - An attempt to open the file denoted by a specified pathname has failed.
    `IOException:` - Failed or interrupted I/O operation.
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `SwiftParsingException`

Method Detail

### getMsgType

    public java.lang.String getMsgType()

### setMsgType

    public void setMsgType(java.lang.String msgType)

### setPackagePrepend

    public void setPackagePrepend(java.lang.String packagePrepend)

### parse

    public boolean parse()
                  throws java.io.IOException,
                         SwiftParsingException

  Parser for the Swift Description file.

  Parameters:
    `:` - A buffered character-input stream that keeps track of line numbers of the Swift description.
  Throws:
    `IOException:` - Failed or interrupted I/O operation.
    `SwiftParsingException:` - Parsing of the Swift Description file has failed.
    `java.io.IOException`
    `SwiftParsingException`

### buildOtd

    public void buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta,
                         java.util.Hashtable hash)
                  throws com.stc.otd.forest.OtdTreeException,
                         com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdMeta` - - OtdMetaContainer object.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### buildOtd

    public void buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta,
                         java.util.Hashtable hash,
                         boolean noData)
                  throws com.stc.otd.forest.OtdTreeException,
                         com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdMeta` - - OtdMetaContainer object.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### buildOtdBasicHeader

    public void buildOtdBasicHeader(com.stc.otd.forest.OtdSerial otdSerial,
                                    com.stc.otd.forest.OtdTree otdTree,
                                    java.util.Hashtable hash)
                             throws com.stc.otd.forest.OtdTreeException,
                                    com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdSerial` - - Where the OtdBark is placed??.
    `otdTree` - - Tree to place the Branches in.
    `hash` - - Hashtable of previously used node names.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### buildOtdAppHeader

    public void buildOtdAppHeader(com.stc.otd.forest.OtdSerial otdSerial,
                                  com.stc.otd.forest.OtdTree otdTree,
                                  java.lang.String msgType,
                                  java.util.Hashtable hash)
                           throws com.stc.otd.forest.OtdTreeException,
                                  com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdSerial` - - Where the OtdBark is placed??.
    `otdTree` - - Tree to place the branches in.
    `msgType` - - Swift message type being processed.
    `hash` - - Hashtable of previously used node names.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### buildOtdUserHeader

    public void buildOtdUserHeader(com.stc.otd.forest.OtdSerial otdSerial,
                                   com.stc.otd.forest.OtdTree otdTree,
                                   java.util.Hashtable hash)
                            throws com.stc.otd.forest.OtdTreeException,
                                   com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdSerial` - - Where the OtdBark is placed??.
    `otdTree` - - Tree to place the branches in.
    `hash` - - Hashtable of previously used node names.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### buildOtdTrailers

    public void buildOtdTrailers(com.stc.otd.forest.OtdSerial otdSerial,
                                 com.stc.otd.forest.OtdTree otdTree,
                                 java.util.Hashtable hash)
                          throws com.stc.otd.forest.OtdTreeException,
                                 com.stc.otd.builder.OtdBuilderException

  Otd builder for Swift.

  Type Parameters:
    `otdSerial` - - Where the OtdBark is placed??.
    `otdTree` - - Tree to place the Branches in.
    `hash` - - Hashtable of previously used node names.
  Throws:
    `com.stc.otd.forest.OtdTreeException`
    `com.stc.otd.builder.OtdBuilderException`

### getMessage

    public SwiftMessage getMessage()

### setMessage

    public void setMessage(SwiftMessage msg)

### getParent

    public SwiftOTDBuilderObject getParent()

  Specified by:
    `getParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `getParent` in class `SwiftOTDBuilderObjAdapter`

### setParent

    public void setParent(SwiftOTDBuilderObject parent)

  Specified by:
    `setParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `setParent` in class `SwiftOTDBuilderObjAdapter`

### print

    public void print(java.io.PrintWriter writer)
               throws java.lang.Exception

  Specified by:
    `print` in interface `SwiftOTDBuilderObject`
  Overrides:
    `print` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

### diff

    public void diff(SwiftOTDBuilderObject obj,
                     java.io.PrintWriter writer,
                     boolean coreAttrOnly)
              throws java.lang.Exception

  Specified by:
    `diff` in interface `SwiftOTDBuilderObject`
  Overrides:
    `diff` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.